> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pulseshiga.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Resolve a bank account (name enquiry)



## OpenAPI

````yaml /api-reference/openapi.json post /v1/banks/resolve
openapi: 3.0.0
info:
  description: Pulse Orchestration API
  title: Pulse API
  contact: {}
  version: '1.0'
servers:
  - url: https://engine-api.shiga.io
    description: Production
  - url: https://engine-api.pilot.pulseshiga.io
    description: Pilot
security: []
paths:
  /v1/banks/resolve:
    post:
      tags:
        - Banks
      summary: Resolve a bank account (name enquiry)
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/banks.ResolveAccountRequest'
        description: Account resolution request
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/banking.VerifiedAccount'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/common.ErrorResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    banks.ResolveAccountRequest:
      type: object
      required:
        - account_number
        - bank_code
      properties:
        account_number:
          type: string
        bank_code:
          type: string
    banking.VerifiedAccount:
      type: object
      properties:
        account_name:
          type: string
        account_number:
          type: string
        bank_code:
          type: string
        bank_name:
          type: string
    common.ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    ApiKeyAuth:
      description: API key authentication
      type: apiKey
      name: X-API-Key
      in: header

````